<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class ProjectTaskAttachment extends Model
{
    protected $fillable = [
        'project_task_id', 'user_id', 'file_name', 'file_path', 'file_size', 'file_type'
    ];

    public function task()
    {
        return $this->belongsTo(ProjectTask::class, 'project_task_id');
    }

    public function user()
    {
        return $this->belongsTo(User::class);
    }
}
